package org.eclipse.cosmos.rm.smlif.internal.common;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class TestUtilities {
	
	static public boolean isEmpty(File file) {
		FileReader reader = null;
		boolean isEmpty = false;
		try {
			reader = new FileReader(file);
			isEmpty = (reader.read() == -1);
			reader.close();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
		return isEmpty;
	}

	/**
	 * Recursively delete a directory and its contents
	 * @param path
	 * @return
	 */
	static public boolean deleteDirectory(File path) {
		if (path.exists()) {
			File[] files = path.listFiles();
			for (int i = 0; i < files.length; i++) {
				if (files[i].isDirectory()) {
					deleteDirectory(files[i]);
				} else {
					files[i].delete();
				}
			}
		}
		return (path.delete());
	}

}
