/**********************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.content;

import org.eclipse.cosmos.rm.validation.internal.SMLActivator;

/**
 * The phenic content describer
 * 
 * @author Ali Mehregani
 */
public class PhenicContentDescriber extends AbstractXMLContentDescriber
{
	/**
	 * The content type id for phenic documents
	 */
	public static final String ID = SMLActivator.PLUGIN_ID + ".phenicContentType";
	
	/**
	 * @see org.eclipse.cosmos.rm.smlif.internal.content.AbstractXMLContentDescriber#determineType(java.lang.String)
	 */
	public int determineType(String line)
	{
		return 0;
	}

}
